Bug 1278598 - [GSS](6.1.z)Signal subprocess is never invoked
[GSS](6.1.z)Signal subprocess is never invoked
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: CR1
: 6.1.5
Assigned To: Maciej Swiderski
Ivo Bek
:
Depends On: 1278596 1280525
Blocks: 1281586
  Show dependency treegraph
 
Reported: 2015-11-05 17:38 EST by William Antônio
Modified: 2015-12-15 09:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1278596
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Antônio 2015-11-05 17:38:47 EST
+++ This bug was initially created as a clone of Bug #1278596 +++

Description of problem:

A signal subprocess in a process is not invoked. Signals send to the process aimed to invoke the subprocess are ignored.

Version-Release number of selected component (if applicable):
Update 3

How reproducible:
Always.

Steps to Reproduce:
1. Create a process and add a signal subprocess to it;
2. Inside the subprocess, add the signal itself, a script task to print some message to indicate that the subprocess was invoked and then an end event;
3. Use a script task to signal the process in the main process flow;

Actual results:
The process is finished without entering the subprocess;

Expected results:
It should invoke th subprocess.

Additional info:

Between update 2 and 3, the engine was updated to invoke process using the signal name, instead the id. The editor still looks for a signal with a given ID instead looking for its name. Further local tests using the branch 6.2.x seems to have solved the issue. 


Attached you can find a simple process that can be used to reproduce this issue and also the diff file of the changes I made locally.
Comment 3 Maciej Swiderski 2015-11-26 05:35:49 EST
fix back ported to 6.2.x branch 

jbpm
6.2.x:
https://github.com/droolsjbpm/jbpm/commit/00e930fa4f3cf3a9d71fbb6b7dd8876a63a85a93
Comment 4 Ivo Bek 2015-12-15 09:54:32 EST
Verified in BPM Suite 6.1.5

Note You need to log in before you can comment on or make changes to this bug.